
// ----------------- FILE TEST -----------------

#import "memoryMap.asm"
#import "fileMacros.asm"
#import "fileList.asm"
#import "fileConstants.asm"
#import "systemConstants.asm"
#import	"screenConstants.asm"
#import "zeroPageConstants.asm"

BasicUpstart2(main)

main:
	LoadFile(2,CHARSET_FILE,9,$c800)

	LoadFile(3,SPRITES_FILE,8,$2000) // $2000 = Temporary address

	CopyData($2000,SPRITES_ADDRESS,16) // Loop 16 times with 256 bytes

	sei // Disable interrupts
	lda CIA_2_PORT_A
	and #%11111100 // Set VIC Bank to 3 (fourth VIC bank)
	sta CIA_2_PORT_A
	cli // Enable interrupts

	lda #%00000010 // Screen RAM: $c000   Charset: $c800
	sta SCREEN_MEMORY_SETUP

	lda #$c0
	sta $0288 // High byte of screen RAM

	jsr $e544 // Clear screen

	lda #1
	sta SCREEN_RAM

	lda #100
	sta $d000 // Sprite X
	sta $d001 // Sprite Y

	lda #$40 // Sprite pointer index
	sta SCREEN_RAM + $03f8 // Sprite pointer

	lda #BLACK
	sta $d025 // Sprite extra color 1
	lda #WHITE
	sta $d026 // Sprite extra color 2

	lda #LIGHT_RED
	sta $d027 // Sprite 0 color

	lda #%0000001 // Enable multicolor for sprite 0
	sta $d01c // Sprite multicolor

	lda %00000001
	sta $d015 // Sprite enable

gameLoop:
	
	jmp gameLoop

*=VARIABLES "Variables"
#import "fileVariables.asm"
